botruntime
API ReferenceAdmin API

List Bot Issues

List Bot Issues

GET
/v1/admin/bots/{id}/issues

Path Parameters

id*string

Bot ID

Query Parameters

nextToken?string

Provide the meta.nextToken value provided in the last API response to retrieve the next page of results

pageSize?integer

Number of items to return per page (default 20, max 100)

Header Parameters

x-workspace-id*string

Workspace ID

x-multiple-integrations?string

Whether the client supports bots with multiple instances of the same integration. Set to "true" to receive integration instances keyed by their alias instead of their id. This header will be removed in the future, and the API will always return multiple instances keyed by alias.

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/admin/bots/string/issues" \  -H "x-workspace-id: string"
{  "issues": [    {      "id": "string",      "code": "string",      "createdAt": "2019-08-24T14:15:22Z",      "lastSeenAt": "2019-08-24T14:15:22Z",      "title": "string",      "description": "string",      "groupedData": {        "property1": {          "raw": "string",          "pretty": "string"        },        "property2": {          "raw": "string",          "pretty": "string"        }      },      "eventsCount": 0,      "category": "user_code",      "resolutionLink": "string"    }  ],  "meta": {    "nextToken": "string"  }}
{  "issues": [    {      "id": "string",      "code": "string",      "createdAt": "2019-08-24T14:15:22Z",      "lastSeenAt": "2019-08-24T14:15:22Z",      "title": "string",      "description": "string",      "groupedData": {        "property1": {          "raw": "string",          "pretty": "string"        },        "property2": {          "raw": "string",          "pretty": "string"        }      },      "eventsCount": 0,      "category": "user_code",      "resolutionLink": "string"    }  ],  "meta": {    "nextToken": "string"  }}